using System;
using System.IO;
using System.Text;

namespace Tomham.IO
{
	/// <summary>
	/// Path֘AStatic Method񋟂
	/// </summary>
	public static class PathUtils
	{
        public const string DOUBLE_QUOTATION = "\"";
        public const string SINGLE_QUOTATION  = "'";

		/// <summary>
		/// ɃpX؂肪ΒǉāAłȂΓ͂̂܂ܕԂ
		/// </summary>
		/// <param name="path"></param>
		/// <returns></returns>
		public static string IncludeTrailingPathDelimiter(string path)
		{
			if ( 
				!path.EndsWith( Path.DirectorySeparatorChar.ToString() ) 
			)
			{
				path += Path.DirectorySeparatorChar;
			}

			return path;
		}

		/// <summary>
		/// ɃpX؂肪΍폜āAłȂΓ͂̂܂ܕԂ
		/// </summary>
		/// <param name="path"></param>
		/// <returns></returns>
		public static string ExcludeTrailingPathDelimiter(string path)
		{
			if ( 
				path.EndsWith( Path.DirectorySeparatorChar.ToString() ) 
				)
			{
				path = path.Remove( path.Length - 1, 1 );
			}

			return path;
		}
        
        /// <summary>
        /// OɃ_uNH[e[VtĕԂ
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        public static string DoubleQuotString( string input )
        {
            StringBuilder result = new StringBuilder();
            result.Append( DOUBLE_QUOTATION );
            result.Append( input );
            result.Append( DOUBLE_QUOTATION );

            return result.ToString();
        }
           
	}
}
