using System;
using NUnit.Framework;

namespace Tomham.IO
{
	/// <summary>
	/// PathUtils ̊Tv̐łB
	/// </summary>
	[TestFixture]
	public class PathUtilsTest
	{
		public PathUtilsTest()
		{
			// 
			// TODO: RXgN^ WbNɒǉĂB
			//
		}

		[Test]
		public void IncludeTrailingPathDelimiter1()
		{
			string path = @"C:\Windows";
			string rightPath = @"C:\Windows\";
			
			string result = PathUtils.IncludeTrailingPathDelimiter(path);

			Console.WriteLine( result );
			Assert.IsTrue( result == rightPath );
		}

		[Test]
		public void IncludeTrailingPathDelimiter2()
		{
			string path = @"C:\Windows\";
			string rightPath = @"C:\Windows\";
			
			string result = PathUtils.IncludeTrailingPathDelimiter(path);

			Console.WriteLine( result );
			Assert.IsTrue( result == rightPath );
		}

		[Test]
		public void ExcludeTrailingPathDelimiter1()
		{
			string path = @"C:\Windows";
			string rightPath = @"C:\Windows";
			
			string result = PathUtils.ExcludeTrailingPathDelimiter(path);

			Console.WriteLine( result );
			Assert.IsTrue( result == rightPath );
		}

		[Test]
		public void ExcludeTrailingPathDelimiter2()
		{
			string path = @"C:\Windows\";
			string rightPath = @"C:\Windows";
			
			string result = PathUtils.ExcludeTrailingPathDelimiter(path);

			Console.WriteLine( result );
			Assert.IsTrue( result == rightPath );
		}
	}
}
